> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyoo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a campaign

> Create a new campaign for the authenticated workspace.



## OpenAPI

````yaml /api-reference/openapi.json post /campaigns
openapi: 3.0.3
info:
  title: Heyoo API
  description: Heyoo turns employees into strategic storytellers.
  version: 0.0.1
  contact:
    name: Heyoo Support
    email: hey@heyoo.ai
    url: https://heyoo.ai/support
  license:
    name: AGPL-3.0 license
    url: https://github.com/heyoo/heyoo/blob/main/LICENSE.md
servers:
  - url: https://app.heyoo.ai/api
    description: Production API
security: []
paths:
  /campaigns:
    post:
      tags:
        - Campaigns
      summary: Create a campaign
      description: Create a new campaign for the authenticated workspace.
      operationId: createCampaign
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the campaign
                  example: Employee Advocacy Campaign
                description:
                  type: string
                  description: The description of the campaign
                shareContext:
                  type: string
                  description: The share context of the campaign
                objective:
                  type: string
                  description: The objective of the campaign
                domain:
                  nullable: true
                  type: string
                  description: The domain of the campaign
                status:
                  type: string
                  enum:
                    - draft
                    - published
                    - archived
                  description: The status of the campaign
                image:
                  nullable: true
                  type: string
                  description: The image of the campaign
                tagIds:
                  description: The unique IDs of the tags assigned to the campaign.
                  example:
                    - 123e4567-e89b-12d3-a456-426614174000
                  type: array
                  items:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                groupIds:
                  description: The unique IDs of the groups assigned to the campaign.
                  example:
                    - 223e4567-e89b-12d3-a456-426614174001
                  type: array
                  items:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                resources:
                  type: array
                  items:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          url:
                            type: string
                          type:
                            type: string
                            enum:
                              - image
                              - video
                              - pdf
                          mimeType:
                            type: string
                          size:
                            type: number
                          width:
                            nullable: true
                            type: number
                          height:
                            nullable: true
                            type: number
                          thumbnailUrl:
                            nullable: true
                            type: string
                          language:
                            nullable: true
                            type: string
                          order:
                            type: number
                        required:
                          - url
                destinationUrl:
                  type: string
                  description: The destination URL of the campaign
                startDate:
                  type: string
                targetShares:
                  anyOf:
                    - type: number
                    - type: string
                shareRewardAmount:
                  anyOf:
                    - type: number
                    - type: string
                clickRewardAmount:
                  anyOf:
                    - type: number
                    - type: string
                maxRewardPerEmployee:
                  anyOf:
                    - type: number
                    - type: string
                totalBudget:
                  anyOf:
                    - type: number
                    - type: string
                contentPillarId:
                  description: >-
                    The unique ID of the content pillar assigned to the
                    campaign.
                  nullable: true
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                endDate:
                  type: string
              required:
                - name
                - description
                - shareContext
                - objective
                - status
                - destinationUrl
                - startDate
                - shareRewardAmount
                - clickRewardAmount
                - maxRewardPerEmployee
                - totalBudget
                - endDate
      responses:
        '201':
          description: The created campaign
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignSchema'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '409':
          $ref: '#/components/responses/409'
        '410':
          $ref: '#/components/responses/410'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - token: []
components:
  schemas:
    CampaignSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the campaign.
        name:
          type: string
          description: The name of the campaign.
        status:
          type: string
          enum:
            - draft
            - published
            - archived
          description: The status of the campaign.
        createdAt:
          description: The creation date of the campaign.
          type: string
        description:
          type: string
          description: The description of the campaign.
        destinationUrl:
          nullable: true
          description: The destination URL of the campaign.
          type: string
        clicks:
          type: number
          description: The number of clicks the campaign has received.
        shares:
          type: number
          description: The number of shares the campaign has received.
        startDate:
          description: The start date of the campaign.
          type: string
        endDate:
          description: The end date of the campaign.
          type: string
        targetShares:
          nullable: true
          description: The target shares for the campaign.
          type: number
        hasShared:
          description: Whether the authenticated user has shared this campaign.
          type: boolean
      required:
        - id
        - name
        - status
        - createdAt
        - description
        - destinationUrl
        - clicks
        - shares
        - startDate
        - endDate
        - targetShares
      additionalProperties: false
      title: Campaign
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            x-speakeasy-name-override: BadRequest
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#bad-request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Unauthorized
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Forbidden
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: NotFound
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#not-found
                required:
                  - code
                  - message
            required:
              - error
    '409':
      description: >-
        This response is sent when a request conflicts with the current state of
        the server.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Conflict
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - conflict
                    description: A short code indicating the error code returned.
                    example: conflict
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#conflict
                required:
                  - code
                  - message
            required:
              - error
    '410':
      description: >-
        This response is sent when the requested content has been permanently
        deleted from server, with no forwarding address.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: InviteExpired
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - invite_expired
                    description: A short code indicating the error code returned.
                    example: invite_expired
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#invite-expired
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: UnprocessableEntity
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.heyoo.ai/api-reference/errors#unprocessable-entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            x-speakeasy-name-override: RateLimitExceeded
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.heyoo.ai/api-reference/errors#rate-limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: InternalServerError
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.heyoo.ai/api-reference/errors#internal-server_error
                required:
                  - code
                  - message
            required:
              - error
  securitySchemes:
    token:
      type: http
      description: Default authentication mechanism
      scheme: bearer
      x-speakeasy-example: HEYOO_API_KEY

````